<?php

namespace App\Models\Service;

use App\Models\HostServer;
use App\Traits\ServiceDomains;

/**
 * Class Host (Service)
 * Services that are Web Hosting
 */
class Host extends Type
{
	use ServiceDomains;

	protected $table = 'service_host';
	protected $with = ['tld'];

	/* RELATIONS */

	public function provider()
	{
		return $this->belongsTo(HostServer::class,'host_server_id');
	}
}