<?php

namespace App\Models\Supplier;

use App\Interfaces\SupplierItem;
use App\Models\Product\Phone as ProductVoip;

final class Phone extends Type implements SupplierItem
{
	protected $table = 'supplier_phone';

	/* INTERFACES */

	public function types()
	{
		return $this->belongsToMany(ProductVoip::class,$this->table,'id','id','id','supplier_item_id');
	}

	public function getBillingIntervalAttribute(): int
	{
		return 1;	// Monthly
	}
}