<?php

namespace App\Models\Supplier;

use App\Interfaces\SupplierItem;
use App\Models\Product\SSL as ProductSSL;

final class SSL extends Type implements SupplierItem
{
	protected $table = 'supplier_ssl';

	/* INTERFACES */

	public function types()
	{
		return $this->belongsToMany(ProductSSL::class,$this->table,'id','id','id','supplier_item_id');
	}

	public function getBillingIntervalAttribute(): int
	{
		return 4;	// Yearly
	}
}