<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Leenooks\Traits\SingleOrFail;

class AppServiceProvider extends ServiceProvider
{
	use SingleOrFail;

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
	    SingleOrFail::bootSingleOrfail();
    }
}
