@extends('adminlte::layouts.app')

@section('htmlheader_title')
	{{ $o->name ?: 'New Supplier' }}
@endsection
@section('page_title')
	{{ $o->name ?: 'New Supplier' }}
@endsection

@section('contentheader_title')
	{{ $o->name ?: 'New Supplier' }}
@endsection
@section('contentheader_description')
@endsection

@section('main-content')
	<div class="row">
		<div class="col-12">
			@include('adminlte::widget.status')
		</div>
	</div>

	<div class="row">
		<div class="col-12">
			<div class="card">
				<div class="card-header bg-dark d-flex p-0">
					<ul class="nav nav-pills w-100 p-2">
						<li class="nav-item"><a class="nav-link active" href="#details" data-toggle="tab">Detail</a></li>
						<li class="nav-item"><a class="nav-link" href="#products" data-toggle="tab">Products</a></li>
						<li class="nav-item"><a class="nav-link" href="#offerings" data-toggle="tab">Offerings</a></li>
						<li class="nav-item"><a class="nav-link" href="#connections" data-toggle="tab">Connections</a></li>
					</ul>
				</div>

				<div class="card-body">
					<div class="tab-content">
						<div class="tab-pane fade active show" id="details" role="tabpanel">
							@include('a.supplier.widgets.detail')
						</div>

						<div class="tab-pane fade" id="products" role="tabpanel">
							@include('a.supplier.widgets.products')
						</div>

						<div class="tab-pane fade" id="offerings" role="tabpanel">
							@include('a.supplier.widgets.offerings')
						</div>

						<div class="tab-pane fade" id="connections" role="tabpanel">
							@include('a.supplier.widgets.connections')
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
@endsection