<?php

namespace App\Models\Supplier;

use App\Interfaces\SupplierItem;
use App\Models\Product\Generic as ProductGeneric;

final class Generic extends Type implements SupplierItem
{
	protected $table = 'supplier_generic';

	/* INTERFACES */

	public function types()
	{
		return $this->belongsToMany(ProductGeneric::class,$this->table,'id','id','id','supplier_item_id');
	}

	public function getBillingIntervalAttribute(): int
	{
		return 1;	// Monthly
	}
}