<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use App\Traits\SiteID;

class SupplierDetail extends Model
{
	use SiteID;

	protected $casts = [ 'connections'=>'collection' ];

	/* RELATIONS */

	public function supplier()
	{
		return $this->belongsTo(Supplier::class);
	}
}