<!-- $o = App\Models\Service\Phone::class -->
<div class="form-group row">
	<label for="service_number" class="col-sm-3 col-form-label text-right">Service Number</label>
	<div class="col-sm-6">
		<div class="input-group">
			<div class="input-group-prepend">
				<span class="input-group-text"><i class="fa fa-fw fa-phone"></i></span>
			</div>
			<input type="text" class="form-control" name="phone[service_number]" value="{{ $o->service_number ?? '' }}">
		</div>
	</div>
</div>

<div class="form-group row">
	<label for="service_username" class="col-sm-3 col-form-label text-right">Service Username</label>
	<div class="col-sm-6">
		<div class="input-group">
			<div class="input-group-prepend">
				<span class="input-group-text"><i class="fa fa-fw fa-user"></i></span>
			</div>
			<input type="text" class="form-control" name="phone[service_username]" value="{{ $o->service_username ?? '' }}">
		</div>
	</div>
</div>

<div class="form-group row">
	<label for="service_password" class="col-sm-3 col-form-label text-right">Service Password</label>
	<div class="col-sm-6">
		<div class="input-group">
			<div class="input-group-prepend">
				<span class="input-group-text"><i class="fa fa-fw fa-lock"></i></span>
			</div>
			<input type="text" class="form-control" name="phone[service_password]" value="{{ $o->service_password ?? '' }}">
		</div>
	</div>
</div>

<div class="form-group row">
	<label for="connect_at" class="col-sm-3 col-form-label text-right">Service Connect Date</label>
	<div class="col-sm-6">
		<div class="input-group">
			<div class="input-group-prepend">
				<span class="input-group-text"><i class="fa fa-fw fa-calendar"></i></span>
			</div>
			<input type="date" class="form-control" name="phone[connect_at]" value="{{ $o->connect_at ? $o->connect_at->format('Y-m-d') : '' }}">
		</div>
	</div>
</div>

<div class="form-group row">
	<label for="expire_at" class="col-sm-3 col-form-label text-right">Service Expires (Contracted Till)</label>
	<div class="col-sm-6">
		<div class="input-group">
			<div class="input-group-prepend">
				<span class="input-group-text"><i class="fa fa-fw fa-calendar"></i></span>
			</div>
			<input type="date" class="form-control" name="phone[expire_at]" value="{{ $o->expire_at ? $o->expire_at->format('Y-m-d') : '' }}">
		</div>
	</div>
</div>

<div class="form-group row">
	<label for="start_at" class="col-sm-3 col-form-label text-right">Service Billing Start Date</label>
	<div class="col-sm-6">
		<div class="input-group">
			<div class="input-group-prepend">
				<span class="input-group-text"><i class="fa fa-fw fa-calendar"></i></span>
			</div>
			<input type="date" class="form-control" name="start_at" value="{{ $o->service->start_at ? $o->service->start_at->format('Y-m-d') : '' }}">
		</div>
	</div>
</div>